import json

from flask_app.main.基础信息整合 import combine_basic_info
from flask_app.main.通义千问long import qianwen_long,upload_file
from flask_app.main.多线程提问 import multi_threading
from flask_app.main.json_utils import combine_json_results
def qualification_review(truncate_file):
    file_id=upload_file(truncate_file)
    user_query1="该招标文件中规定的资格性审查标准是怎样的？请以json格式给出，外层为'资格性审查'，对于原文中的序号，你仅需要捕获它们之间的层级关系并根据序号后的内容生成嵌套键值对，若多个内容位于同一层级，你应用字符串列表作为键值保存这些内容，你的回答需删去这些序号，但其余内容要与原文一致，不可擅自总结删减，也不要回答符合性审查的内容。"
    user_query2="该招标文件中规定的符合性审查标准是怎样的？请以json格式给出，外层为'符合性审查'，你的回答要与原文一致，不可擅自总结删减，也不要回答资格性审查的内容。"
    user_query=[]
    user_query.append(user_query1)
    user_query.append(user_query2)
    results=multi_threading(user_query,"",file_id,2)
    result_list=[]
    for question, response in results:
        result_list.append(response)
    combined_res = combine_json_results(result_list)  # 整合基础信息核心代码
    return combined_res

if __name__ == "__main__":
    truncate_file="C:\\Users\\Administrator\\Desktop\\货物标\\output3\\2-招标文件（2020年广水市中小学教师办公电脑系统及多媒体“班班通”设备采购安装项目）_qualification1.pdf"
    res=qualification_review(truncate_file)
    print(json.dumps(res,ensure_ascii=False, indent=4))